clang-tools 6.0.0

Functions
rename_check Namespace Reference

## Functions
def | replaceInFile (fileName, sFrom, sTo)
def | generateCommentLineHeader (filename)
def | generateCommentLineSource (filename)
def | fileRename (fileName, sFrom, sTo)
def | deleteMatchingLines (fileName, pattern)
def | getListOfFiles (clang_tidy_path)
def | adapt_cmake (module_path, check_name_camel)
def | adapt_module (module_path, module, check_name, check_name_camel)
def | add_release_notes (clang_tidy_path, old_check_name, new_check_name)
def | main ()

## Function Documentation

## ◆ adapt_cmake()

def rename_check.adapt_cmake | ( |  | module_path,
|  |  | check_name_camel
| ) |  |

Definition at line 87 of file rename_check.py.

Referenced by main().

## ◆ adapt_module()

def rename_check.adapt_module | ( |  | module_path,
|  |  | module,
|  |  | check_name,
|  |  | check_name_camel
| ) |  |

Definition at line 115 of file rename_check.py.

Referenced by main().

## ◆ add_release_notes()

def rename_check.add_release_notes | ( |  | clang_tidy_path,
|  |  | old_check_name,
|  |  | new_check_name
| ) |  |

Definition at line 155 of file rename_check.py.

Referenced by main().

## ◆ deleteMatchingLines()

def rename_check.deleteMatchingLines | ( |  | fileName,
|  |  | pattern
| ) |  |

Definition at line 58 of file rename_check.py.

References clang::tidy::cppcoreguidelines.join().

Referenced by main().

## ◆ fileRename()

def rename_check.fileRename | ( |  | fileName,
|  |  | sFrom,
|  |  | sTo
| ) |  |

Definition at line 50 of file rename_check.py.

Referenced by main().

## ◆ generateCommentLineHeader()

def rename_check.generateCommentLineHeader | ( |  | filename | ) |

Definition at line 34 of file rename_check.py.

References clang::tidy::cppcoreguidelines.join().

Referenced by main().

## ◆ generateCommentLineSource()

def rename_check.generateCommentLineSource | ( |  | filename | ) |

Definition at line 42 of file rename_check.py.

References clang::tidy::cppcoreguidelines.join().

Referenced by main().

## ◆ getListOfFiles()

def rename_check.getListOfFiles | ( |  | clang_tidy_path | ) |

Definition at line 74 of file rename_check.py.

Referenced by main().

## ◆ main()

def rename_check.main | ( |  | ) |

Definition at line 181 of file rename_check.py.

References adapt_cmake(), adapt_module(), add_release_notes(), deleteMatchingLines(), fileRename(), generateCommentLineHeader(), generateCommentLineSource(), getListOfFiles(), clang::tidy::cppcoreguidelines.join(), and replaceInFile().

## ◆ replaceInFile()

def rename_check.replaceInFile | ( |  | fileName,
|  |  | sFrom,
|  |  | sTo
| ) |  |

Definition at line 18 of file rename_check.py.

Referenced by main().